Subject: Re: bug#67022: Gzip decompression can be 60% faster using zlib's CRC32

From: wrotycz <[email-masked]>
Date: Thu, 14 Mar 2024 18:23:17 +0100

Re: bug#67022: Gzip decompression can be 60% faster using zlib&#39;s CRC32    I tried to make that CRC-slice-by-8 happen but, as I miss something, maybe you will get that right.  My guess the problem lies in all those negations of crc (`(return) crc = crc ^ 0xffffffff;&#39;).   I prepared diff that does that, in more, less simple way. `crc32_8b...()&#39; should be in util.c, and crc32.h should only contain lookup table generated by `sample/makecrc8.c&#39;, but until it works correctly it is in the header. Moving it to corret place is the least of the problem.   I put the diff in paste as it&#39;s bit big to attach to email.   ~~~ bash  wget -Ogzip-1.13-crc328-2.diff  paste.ee https://paste.ee/d/mkqTU/0  cd gzip-1.13  patch -p1 ../gzip-1.13-crc328-2.diff  ~~~   Hope that will help to make it happen.